Bug 1127503 (CVE-2014-3510) - CVE-2014-3510 openssl: DTLS anonymous (EC)DH denial of service
Summary: CVE-2014-3510 openssl: DTLS anonymous (EC)DH denial of service
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3510
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140806,repor...
Depends On: 1127695 1127696 1127697 1127698 1127704 1127705 1127709 1127831 1127832 1127885 1128013 1128014 1128015 1128016 1128405 1128406 1128961 1181611
Blocks: 1127468 1127506 1138223 1142543
TreeView+ depends on / blocked
 
Reported: 2014-08-07 02:09 UTC by Andrew Griffiths
Modified: 2019-06-08 20:08 UTC (History)
63 users (show)

Fixed In Version: openssl 1.0.1i, openssl 1.0.0n, openssl 0.9.8zb
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the way OpenSSL performed a handshake when using the anonymous Diffie-Hellman (DH) key exchange. A malicious server could cause a DTLS client using OpenSSL to crash if that client had anonymous DH cipher suites enabled.
Clone Of:
Environment:
Last Closed: 2014-09-24 17:43:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1052 normal SHIPPED_LIVE Moderate: openssl security update 2014-08-14 01:32:03 UTC
Red Hat Product Errata RHSA-2014:1053 normal SHIPPED_LIVE Moderate: openssl security update 2014-08-13 22:18:41 UTC
Red Hat Product Errata RHSA-2014:1054 normal SHIPPED_LIVE Moderate: openssl security update 2014-08-14 08:44:38 UTC
Red Hat Product Errata RHSA-2014:1256 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Server 2.1.0 openssl security update 2014-09-17 20:30:52 UTC
Red Hat Product Errata RHSA-2014:1297 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.3 openssl security update 2014-09-24 20:53:55 UTC

Description Andrew Griffiths 2014-08-07 02:09:19 UTC
It was found that OpenSSL DTLS clients using anonymous (EC)DH ciphersuites could be crashed by a malicious server via a handshake message.

Comment 1 Arun Babu Neelicattu 2014-08-07 05:52:46 UTC
External References:

https://www.openssl.org/news/secadv_20140806.txt

Comment 3 Tomas Hoger 2014-08-07 08:53:51 UTC
Upstream commit:
https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=17160033765480453be0a41335fa6b833691c049

Note that this is NULL pointer dereference issue.

Comment 9 Tomas Hoger 2014-08-07 11:35:56 UTC
Created openssl tracking bugs for this issue:

Affects: fedora-all [bug 1127704]

Comment 10 Tomas Hoger 2014-08-07 11:36:01 UTC
Created mingw-openssl tracking bugs for this issue:

Affects: fedora-all [bug 1127705]

Comment 11 Tomas Hoger 2014-08-07 11:40:35 UTC
Created mingw-openssl tracking bugs for this issue:

Affects: epel-7 [bug 1127709]

Comment 13 Tomas Hoger 2014-08-07 18:36:40 UTC
Created mingw32-openssl tracking bugs for this issue:

Affects: epel-5 [bug 1127885]

Comment 15 Fedora Update System 2014-08-09 07:34:44 UTC
openssl-1.0.1e-39.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-08-09 07:35:53 UTC
openssl-1.0.1e-39.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Martin Prpič 2014-08-12 07:42:16 UTC
IssueDescription:

A NULL pointer dereference flaw was found in the way OpenSSL performed a handshake when using the anonymous Diffie-Hellman (DH) key exchange. A malicious server could cause a DTLS client using OpenSSL to crash if that client had anonymous DH cipher suites enabled.

Comment 19 errata-xmlrpc 2014-08-13 18:19:20 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1053 https://rhn.redhat.com/errata/RHSA-2014-1053.html

Comment 20 errata-xmlrpc 2014-08-13 21:33:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2014:1052 https://rhn.redhat.com/errata/RHSA-2014-1052.html

Comment 21 errata-xmlrpc 2014-08-14 04:45:17 UTC
This issue has been addressed in following products:

  Red Hat Storage 2.1

Via RHSA-2014:1054 https://rhn.redhat.com/errata/RHSA-2014-1054.html

Comment 22 errata-xmlrpc 2014-09-17 16:31:22 UTC
This issue has been addressed in the following products:

  JBoss Web Server 2.1.0

Via RHSA-2014:1256 https://rhn.redhat.com/errata/RHSA-2014-1256.html

Comment 23 errata-xmlrpc 2014-09-24 16:54:31 UTC
This issue has been addressed in the following products:

  JBoss Enterprise Application Platform 6.3.0

Via RHSA-2014:1297 https://rhn.redhat.com/errata/RHSA-2014-1297.html


Note You need to log in before you can comment on or make changes to this bug.